Bug 233657 - Xorg process has memory leak?
Xorg process has memory leak?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-23 12:44 EDT by David Nielsen
Modified: 2008-01-26 22:33 EST (History)
4 users (show)

See Also:
Fixed In Version: xorg-x11-server-Xorg-1.3.0.0-40.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 22:33:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (568 bytes, text/plain)
2007-03-26 12:31 EDT, David Nielsen
no flags Details
Xorg.log (48.38 KB, text/plain)
2007-03-26 12:33 EDT, David Nielsen
no flags Details
xrestop on my laptop exhibiting the same symptoms (3.05 KB, text/plain)
2007-04-13 03:48 EDT, Dumitru Ciobarcianu
no flags Details
top on the same machine (9.17 KB, text/plain)
2007-04-13 03:49 EDT, Dumitru Ciobarcianu
no flags Details
xorg.conf (1.47 KB, text/plain)
2007-04-13 03:53 EDT, Dumitru Ciobarcianu
no flags Details
xorg.conf on dustpuppy (49.46 KB, text/plain)
2007-04-13 03:55 EDT, Dumitru Ciobarcianu
no flags Details
terje: pmap $(pidof $Xorg) | sort -k2 -g (8.96 KB, text/plain)
2007-12-17 05:12 EST, Terje Rosten
no flags Details
terje: top output (sorted by memory) (5.94 KB, text/plain)
2007-12-17 05:13 EST, Terje Rosten
no flags Details
terje: xorg.conf (1.73 KB, text/plain)
2007-12-17 05:15 EST, Terje Rosten
no flags Details

  None (edit)
Description David Nielsen 2007-03-23 12:44:04 EDT
Description of problem:
In the last few weeks I've noticed that my system run out of memory after about
a day of use, I noticed when looking at gnome-system-monitor that my system
which has an uptime of a mere 17h33m the Xorg process uses:

562.9MB of virtual memory
0MB of writable memory
150.1MB of resident memory
0MB of memory

and rising

This behavior has been presistent for a while now and it slowly renders the
system unusable, for a system with 1GB of physical memory and 2GB of swap that's
just not pleasant.

I don't know if Xorg is really to blame but I am seeing the resident memory
count for the Xorg process climb by 0.1MB every 3 mins or so which isn't
encouraging.

How can I help track this down?

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.2.99.902-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. boot machine
2. go about your daily tasks
  
Actual results:
Notice how the system slowly gets more and more sluggish then near the end dies
due to having filled a total of 3GB of memory, I imagine the swapping doesn't do
wonders to performance either.
Comment 1 Marius Andreiana 2007-03-25 12:15:44 EDT
SOmething related, for me it looks like it's leaking video memory. After
browsing several clips with totem it won't open others until X is restarted.
Using i810.
Comment 2 Matěj Cepl 2007-03-26 12:14:24 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 David Nielsen 2007-03-26 12:31:45 EDT
Created attachment 150911 [details]
xorg.conf
Comment 4 David Nielsen 2007-03-26 12:33:05 EDT
Created attachment 150912 [details]
Xorg.log
Comment 5 David Nielsen 2007-03-26 12:35:55 EDT
I run X using the autodetection already, I haven't messed with a Xorg.conf file
in years, all praises to ajax for making that go away for good.
Comment 6 Adam Jackson 2007-03-27 15:49:12 EDT
xrestop is your friend.
Comment 7 David Nielsen 2007-03-27 16:06:06 EDT
I assume that means you want the output from xrestop.

xrestop - Display: localhost:0
          Monitoring 38 clients. XErrors: 0
          Pixmaps:   42454K total, Other:     164K total, All:   42619K total

res-base Wins  GCs Fnts Pxms Misc   Pxm mem  Other   Total   PID Identifier    
4400000   354   65    1  705  210    20891K     15K  20907K  2971 Download Roots
of Rebellion: Surfacing
1600000    36    1    1   12  941    10023K     23K  10047K   ?   compiz
1400000   188   42    1   38   95     3599K      8K   3607K  2674
gtk-window-decorator
1800000    77   67    1    9   28     2488K      5K   2493K  2669 Skrivebord
3800000     0    0    0    1    0     2296K      0B   2296K   ?   <unknown>
2800000    25   39    0    4   42      664K      2K    667K  2728
WindowNavigationApplets
5000000    50   52    1    7   57      555K      4K    559K  6188 Systemovervågning
4800000    44   43    1    5   21      172K      3K    175K  4838 BitTorrent:
15.5%: I Griffin s4e5
2200000     8   40    1    4   24      160K      2K    162K  2687 Mugshot
3c00000   277   54    1    5  121      144K     11K    156K  3697 Roots of
Rebellion - Less Than Home
2600000    56   45    1    6   41      150K      4K    154K  2685 [1] Aline Marques
3e00000    80   66    1   45   88      145K      6K    151K  3427 Fejlrapporter
(2121 totalt) - Evolution
4200000    40   84    1    5   47      132K      5K    137K  3638 david@dawkins:~
2400000    19   39    1    4   21      132K      2K    135K  2697 Gossip
1000000    19   38    1    4   22      128K      2K    131K  2667 Bottom Panel
2e00000    51   44    0    2   34      128K      3K    131K  2732 gnome-main-menu
3600000     7   36    1    2   30      128K      2K    130K  2730 Tomboy
2000000     5   35    0    2   13      128K      1K    129K  2699 NetworkManager
3400000     4   35    0    2   13      128K      1K    129K  2703 puplet
2c00000     5   36    0    2   11      128K      1K    129K  2722 trashapplet
3a00000     2    2    0    2   41      128K      1K    129K  2808
notification-daemon
0e00000     3   31    0    1 1405        4B     33K     33K  2790 gnome-screensaver
0800000     4    2    0    0  459        0B     10K     10K  2648
gnome-settings-daemon
2a00000    16   36    0    1   19        4B      1K      1K  2724 NotificationArea
3000000     6   36    0    1    9        4B      1K      1K  2726 ClockApplet
1c00000     5   35    0    1   10        4B      1K      1K  2705
gnome-power-manager
3200000     4   35    0    1   10        4B      1K      1K  2714 sealert
1a00000     4   35    0    1    9        4B      1K      1K  2684 bluetooth-applet
1200000     4   31    0    1    9        4B      1K      1K  2670
gnome-volume-manager
0200000     0    1    1    0    0        0B      1K      1K   ?   <unknown>
4000000     3   31    0    1    7        4B    984B    988B  3445
evolution-alarm-notify
4600000     2    1    0    0    6        0B    216B    216B  2978 pam-panel-icon
0600000     2    1    0    0    6        0B    216B    216B  2565 gnome-session
4a00000     1    1    0    0    1        0B     72B     72B   ?   xrestop
0c00000     1    1    0    0    1        0B     72B     72B   ?   <unknown>
1e00000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
0a00000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
0400000     0    1    0    0    0        0B     24B     24B   ?   <unknown>

I hope that makes more sense to you than it does to me.
Comment 8 Adam Jackson 2007-04-02 16:56:04 EDT
40M of client resources, and 128M of VRAM, is still nowhere near 500M.  Hmm. 
Can you also attach the output of 'sudo pmap `pidof Xorg`' ?
Comment 9 David Nielsen 2007-04-02 17:13:42 EDT
The memory use has gotten better recently, it no longer grows so fast that the
system becomes unusable quickly but it's still above normal levels (Currently
for my desktop it's using 1½ gigs combined physical and swap).

2862:   /usr/bin/Xorg :0 -br -audit 0 -auth /var/gdm/:0.Xauth -nolisten tcp vt7
0000000000400000   1740K r-x--  /usr/bin/Xorg
00000000007b3000     92K rw---  /usr/bin/Xorg
00000000007ca000     72K rw---    [ anon ]
00000000009c9000     60K rw---  /usr/bin/Xorg
00000000009d8000 261524K rw---    [ anon ]
0000003b38000000    104K r-x--  /lib64/ld-2.5.90.so
0000003b38219000      4K r----  /lib64/ld-2.5.90.so
0000003b3821a000      4K rw---  /lib64/ld-2.5.90.so
0000003b38400000   1300K r-x--  /lib64/libc-2.5.90.so
0000003b38545000   2044K -----  /lib64/libc-2.5.90.so
0000003b38744000     16K r----  /lib64/libc-2.5.90.so
0000003b38748000      4K rw---  /lib64/libc-2.5.90.so
0000003b38749000     20K rw---    [ anon ]
0000003b38800000    520K r-x--  /lib64/libm-2.5.90.so
0000003b38882000   2044K -----  /lib64/libm-2.5.90.so
0000003b38a81000      4K r----  /lib64/libm-2.5.90.so
0000003b38a82000      4K rw---  /lib64/libm-2.5.90.so
0000003b38c00000      8K r-x--  /lib64/libdl-2.5.90.so
0000003b38c02000   2048K -----  /lib64/libdl-2.5.90.so
0000003b38e02000      4K r----  /lib64/libdl-2.5.90.so
0000003b38e03000      4K rw---  /lib64/libdl-2.5.90.so
0000003b39000000     80K r-x--  /lib64/libz.so.1.2.3
0000003b39014000   2044K -----  /lib64/libz.so.1.2.3
0000003b39213000      4K rw---  /lib64/libz.so.1.2.3
0000003b39400000     20K r-x--  /usr/lib64/libfontenc.so.1.0.0
0000003b39405000   2048K -----  /usr/lib64/libfontenc.so.1.0.0
0000003b39605000      8K rw---  /usr/lib64/libfontenc.so.1.0.0
0000003b39c00000      8K r-x--  /usr/lib64/libXau.so.6.0.0
0000003b39c02000   2044K -----  /usr/lib64/libXau.so.6.0.0
0000003b39e01000      4K rw---  /usr/lib64/libXau.so.6.0.0
0000003b3a000000    236K r-x--  /lib64/libsepol.so.1
0000003b3a03b000   2048K -----  /lib64/libsepol.so.1
0000003b3a23b000      4K rw---  /lib64/libsepol.so.1
0000003b3a23c000     40K rw---    [ anon ]
0000003b3a400000     84K r-x--  /lib64/libselinux.so.1
0000003b3a415000   2044K -----  /lib64/libselinux.so.1
0000003b3a614000      8K rw---  /lib64/libselinux.so.1
0000003b3a616000      4K rw---    [ anon ]
0000003b3a800000     20K r-x--  /usr/lib64/libXdmcp.so.6.0.0
0000003b3a805000   2044K -----  /usr/lib64/libXdmcp.so.6.0.0
0000003b3aa04000      4K rw---  /usr/lib64/libXdmcp.so.6.0.0
0000003b3b000000    416K r-x--  /usr/lib64/libXfont.so.1.4.1
0000003b3b068000   2044K -----  /usr/lib64/libXfont.so.1.4.1
0000003b3b267000     44K rw---  /usr/lib64/libXfont.so.1.4.1
0000003b3b272000     32K rw---    [ anon ]
0000003b3b400000    128K r-x--  /lib64/libexpat.so.0.5.0
0000003b3b420000   2044K -----  /lib64/libexpat.so.0.5.0
0000003b3b61f000     12K rw---  /lib64/libexpat.so.0.5.0
0000003b3c000000    544K r-x--  /usr/lib64/libfreetype.so.6.3.13
0000003b3c088000   2044K -----  /usr/lib64/libfreetype.so.6.3.13
0000003b3c287000     24K rw---  /usr/lib64/libfreetype.so.6.3.13
0000003b3d000000     40K r-x--  /usr/lib64/libdrm.so.2.3.0
0000003b3d00a000   2044K -----  /usr/lib64/libdrm.so.2.3.0
0000003b3d209000      4K rw---  /usr/lib64/libdrm.so.2.3.0
00002aaaaaaab000      4K rw---    [ anon ]
00002aaaaaabc000     24K rw---    [ anon ]
00002aaaaaac2000    480K r-x--  /usr/lib64/xorg/modules/libpcidata.so
00002aaaaab3a000   2048K -----  /usr/lib64/xorg/modules/libpcidata.so
00002aaaaad3a000    236K rw---  /usr/lib64/xorg/modules/libpcidata.so
00002aaaaad75000    132K r-x--  /usr/lib64/xorg/modules/extensions/libextmod.so
00002aaaaad96000   2044K -----  /usr/lib64/xorg/modules/extensions/libextmod.so
00002aaaaaf95000      8K rw---  /usr/lib64/xorg/modules/extensions/libextmod.so
00002aaaaaf97000     16K r-x--  /usr/lib64/xorg/modules/extensions/libdbe.so
00002aaaaaf9b000   2048K -----  /usr/lib64/xorg/modules/extensions/libdbe.so
00002aaaab19b000      4K rw---  /usr/lib64/xorg/modules/extensions/libdbe.so
00002aaaab19c000    392K r-x--  /usr/lib64/xorg/modules/extensions/libglx.so
00002aaaab1fe000   2044K -----  /usr/lib64/xorg/modules/extensions/libglx.so
00002aaaab3fd000     24K rw---  /usr/lib64/xorg/modules/extensions/libglx.so
00002aaaab403000     12K rw---    [ anon ]
00002aaaab406000      4K r-x--  /usr/lib64/xorg/modules/fonts/libfreetype.so
00002aaaab407000   2044K -----  /usr/lib64/xorg/modules/fonts/libfreetype.so
00002aaaab606000      4K rw---  /usr/lib64/xorg/modules/fonts/libfreetype.so
00002aaaab607000      4K r-x--  /usr/lib64/xorg/modules/fonts/libtype1.so
00002aaaab608000   2044K -----  /usr/lib64/xorg/modules/fonts/libtype1.so
00002aaaab807000      4K rw---  /usr/lib64/xorg/modules/fonts/libtype1.so
00002aaaab808000     24K r-x--  /usr/lib64/xorg/modules/extensions/librecord.so
00002aaaab80e000   2048K -----  /usr/lib64/xorg/modules/extensions/librecord.so
00002aaaaba0e000      4K rw---  /usr/lib64/xorg/modules/extensions/librecord.so
00002aaaaba0f000     32K r-x--  /usr/lib64/xorg/modules/extensions/libdri.so
00002aaaaba17000   2044K -----  /usr/lib64/xorg/modules/extensions/libdri.so
00002aaaabc16000      4K rw---  /usr/lib64/xorg/modules/extensions/libdri.so
00002aaaabc17000    316K r-x--  /usr/lib64/xorg/modules/drivers/radeon_drv.so
00002aaaabc66000   2048K -----  /usr/lib64/xorg/modules/drivers/radeon_drv.so
00002aaaabe66000     16K rw---  /usr/lib64/xorg/modules/drivers/radeon_drv.so
00002aaaabe6a000     56K r-x--  /usr/lib64/xorg/modules/drivers/ati_drv.so
00002aaaabe78000   2044K -----  /usr/lib64/xorg/modules/drivers/ati_drv.so
00002aaaac077000     12K rw---  /usr/lib64/xorg/modules/drivers/ati_drv.so
00002aaaac07a000     12K r-x--  /usr/lib64/xorg/modules/input/kbd_drv.so
00002aaaac07d000   2048K -----  /usr/lib64/xorg/modules/input/kbd_drv.so
00002aaaac27d000      4K rw---  /usr/lib64/xorg/modules/input/kbd_drv.so
00002aaaac27e000     40K r-x--  /usr/lib64/xorg/modules/input/mouse_drv.so
00002aaaac288000   2048K -----  /usr/lib64/xorg/modules/input/mouse_drv.so
00002aaaac488000      8K rw---  /usr/lib64/xorg/modules/input/mouse_drv.so
00002aaaac48a000     64K rw-s-  /dev/mem
00002aaaac49a000     24K r-x--  /usr/lib64/xorg/modules/libvgahw.so
00002aaaac4a0000   2044K -----  /usr/lib64/xorg/modules/libvgahw.so
00002aaaac69f000      4K rw---  /usr/lib64/xorg/modules/libvgahw.so
00002aaaac6a0000    136K r-x--  /usr/lib64/xorg/modules/libint10.so
00002aaaac6c2000   2044K -----  /usr/lib64/xorg/modules/libint10.so
00002aaaac8c1000     12K rw---  /usr/lib64/xorg/modules/libint10.so
00002aaaac9d5000    256K rw-s-  /dev/mem
00002aaaaca15000     24K r-x--  /usr/lib64/xorg/modules/libshadowfb.so
00002aaaaca1b000   2048K -----  /usr/lib64/xorg/modules/libshadowfb.so
00002aaaacc1b000      4K rw---  /usr/lib64/xorg/modules/libshadowfb.so
00002aaaacc1c000    244K r-x--  /usr/lib64/xorg/modules/libfb.so
00002aaaacc59000   2044K -----  /usr/lib64/xorg/modules/libfb.so
00002aaaace58000      8K rw---  /usr/lib64/xorg/modules/libfb.so
00002aaaace5a000     28K r-x--  /usr/lib64/xorg/modules/libramdac.so (deleted)
00002aaaace61000   2044K -----  /usr/lib64/xorg/modules/libramdac.so (deleted)
00002aaaad060000      4K rw---  /usr/lib64/xorg/modules/libramdac.so (deleted)
00002aaaad061000    344K r-x--  /usr/lib64/xorg/modules/libxaa.so
00002aaaad0b7000   2044K -----  /usr/lib64/xorg/modules/libxaa.so
00002aaaad2b6000     12K rw---  /usr/lib64/xorg/modules/libxaa.so
00002aaaad2b9000 131072K rw-s-  /dev/mem
00002aaab52b9000      8K rw-s-  /dev/dri/card0
00002aaab52bb000   1028K rw-s-  /dev/dri/card0
00002aaab53bc000      4K rw-s-  /dev/dri/card0
00002aaab53bd000   2048K rw-s-  /dev/dri/card0
00002aaab55bd000   4992K rw-s-  /dev/dri/card0
00002aaab5a9d000   2048K rw-s-  /dev/dri/card0
00002aaab5c9d000      4K r-x-- 
/usr/lib64/xorg/modules/multimedia/theatre_detect_drv.so
00002aaab5c9e000   2044K ----- 
/usr/lib64/xorg/modules/multimedia/theatre_detect_drv.so
00002aaab5e9d000      4K rw--- 
/usr/lib64/xorg/modules/multimedia/theatre_detect_drv.so
00002aaab5e9e000   2228K r-x--  /usr/lib64/dri/r200_dri.so
00002aaab60cb000   2048K -----  /usr/lib64/dri/r200_dri.so
00002aaab62cb000    100K rw---  /usr/lib64/dri/r200_dri.so
00002aaab62e4000    184K rw---    [ anon ]
00002aaab6322000     84K r-x--  /lib64/libpthread-2.5.90.so
00002aaab6337000   2044K -----  /lib64/libpthread-2.5.90.so
00002aaab6536000      4K r----  /lib64/libpthread-2.5.90.so
00002aaab6537000      4K rw---  /lib64/libpthread-2.5.90.so
00002aaab6538000     16K rw---    [ anon ]
00002aaab653c000 131072K rw-s-  /dev/dri/card0
00002aaabe53c000      8K rw-s-  /dev/dri/card0
00002aaabe53e000     64K rw-s-  /dev/dri/card0
00002aaabe54e000      4K rw-s-  /dev/dri/card0
00002aaabe54f000   2048K rw-s-  /dev/dri/card0
00002aaabe74f000   4992K rw-s-  /dev/dri/card0
00002aaabec3f000     40K r-x--  /lib64/libnss_files-2.5.90.so
00002aaabec49000   2044K -----  /lib64/libnss_files-2.5.90.so
00002aaabee48000      4K r----  /lib64/libnss_files-2.5.90.so
00002aaabee49000      4K rw---  /lib64/libnss_files-2.5.90.so
00002aaabefca000    384K rw-s-    [ shmid=0x638d0 ]
00002aaabf02d000    384K rw-s-    [ shmid=0x39663 ]
00002aaabf08d000     12K rw-s-    [ shmid=0x39664 ]
00002aaabf0d9000  10240K rwx--    [ anon ]
00002aaabfad9000    384K rw-s-    [ shmid=0x39667 ]
00002aaabfb39000     12K rw-s-    [ shmid=0x39668 ]
00002aaabfb3c000     12K rw-s-    [ shmid=0x3966a ]
00002aaabfb3f000    384K rw-s-    [ shmid=0x638d9 ]
00002aaabfb9f000    384K rw-s-    [ shmid=0x9a8ad ]
00002aaabfbff000    384K rw-s-    [ shmid=0x9a8af ]
00002aaabfc5f000    384K rw-s-    [ shmid=0xa437f ]
00002aaabfcbf000    384K rw-s-    [ shmid=0xa43a4 ]
00002aaabfd68000    384K rw-s-    [ shmid=0x34d2 ]
00002aaabfdc8000    384K rw-s-    [ shmid=0x34e5 ]
00002aaabfe28000    384K rw-s-    [ shmid=0x351e ]
00002aaabfe88000    384K rw-s-    [ shmid=0x86249 ]
00002aaabfee8000    384K rw-s-    [ shmid=0x3551 ]
00002aaabff48000    384K rw-s-    [ shmid=0xc0f6e ]
00002aaabffa8000    384K rw-s-    [ shmid=0xc0fd3 ]
00002aaac0008000    384K rw-s-    [ shmid=0xc452d ]
00002aaac0068000    384K rw-s-    [ shmid=0xc5296 ]
00002aaac0128000    384K rw-s-    [ shmid=0x33e4e ]
00002aaac0603000    384K rw-s-    [ shmid=0x35b8 ]
00002aaac0783000    384K rw-s-    [ shmid=0x3b17 ]
00002aaac07e3000    384K rw-s-    [ shmid=0x3b2b ]
00002aaac0963000    384K rw-s-    [ shmid=0x417b ]
00002aaac0a83000    384K rw-s-    [ shmid=0x4889 ]
00002aaac0c2e000    384K rw-s-    [ shmid=0x8ca37 ]
00002aaac0c8e000    384K rw-s-    [ shmid=0x8ca5f ]
00002aaac0cee000    384K rw-s-    [ shmid=0x8d1ae ]
00002aaac1439000    384K rw-s-    [ shmid=0x3650 ]
00002aaac1499000    384K rw-s-    [ shmid=0x365b ]
00002aaac14f9000    384K rw-s-    [ shmid=0x3670 ]
00007fffcd285000     84K rw---    [ stack ]
ffffffffff600000      4K r-x--    [ anon ]
 total           645440K
Comment 10 David Nielsen 2007-04-02 17:16:00 EDT
ups, I should be clear the 1½ gb is for the entire system, the Xorg process is
listed as using 188.9MB RSS and 630.3MB. I did a fresh test3 install just to see
if it was my doing but the massive usage still manifests itself.
Comment 11 Adam Jackson 2007-04-03 12:39:17 EDT
Please, use bugzilla's attachment feature.  Inline comments are unwieldly and
hard to feed to pipes.

So the double-mapping of the framebuffer is pretty goofy (one 128M map of
/dev/mem, and another of /dev/dri/card0).  And I'm not really clear why every
DSO has a 2M inaccessible mapping but I'm blaming that on glibc, plus it's just
virtual space anyway.

So really that leaves the 256M of malloc arena, and now that you mention it I'm
not sure how xres does it's accounting.
Comment 12 David Nielsen 2007-04-03 13:24:52 EDT
Do I need to open a bug against glibc for the DSO issue or is the plan just to
ignore it?
Comment 13 Adam Jackson 2007-04-04 12:00:13 EDT
Yeah, just ignore it for now.  It's almost certainly intentional.
Comment 14 Dumitru Ciobarcianu 2007-04-13 03:48:42 EDT
Created attachment 152520 [details]
xrestop on my laptop exhibiting the same symptoms
Comment 15 Dumitru Ciobarcianu 2007-04-13 03:49:33 EDT
Created attachment 152521 [details]
top on the same machine
Comment 16 Dumitru Ciobarcianu 2007-04-13 03:53:22 EDT
Created attachment 152522 [details]
xorg.conf
Comment 17 Dumitru Ciobarcianu 2007-04-13 03:55:02 EDT
Created attachment 152523 [details]
xorg.conf on dustpuppy
Comment 18 Terje Rosten 2007-12-17 05:06:02 EST
One more report, btw we see this problem Solaris systems too.

Here is something strange:

$ pmap 3669 | sort -k2 -g| tail -10
b757a000  10240K rw-s-  /dev/nvidia0
ace34000  12064K rw-s-  /dev/nvidia0
b209e000  12652K rw---    [ anon ]
978da000  16632K rw-s-  /dev/nvidia0
98a47000  20088K rw-s-  /dev/nvidia0
09e89000 143608K rw---    [ anon ]
32cbd000 415728K rw---    [ anon ]
58d5e000 415728K rw---    [ anon ]
76f63000 415728K rw---    [ anon ]
 total  1584148K

Why these three 415728K segments?
Comment 19 Terje Rosten 2007-12-17 05:12:06 EST
Created attachment 289759 [details]
terje: pmap $(pidof $Xorg) | sort -k2 -g
Comment 20 Terje Rosten 2007-12-17 05:13:40 EST
Created attachment 289760 [details]
terje: top output (sorted by memory)
Comment 21 Terje Rosten 2007-12-17 05:15:48 EST
Created attachment 289761 [details]
terje: xorg.conf
Comment 22 Terje Rosten 2007-12-17 05:17:52 EST
Forgot, this from FC8 with:
$ rpm -qf /usr/bin/Xorg 
xorg-x11-server-Xorg-1.3.0.0-36.fc8
Comment 23 Matěj Cepl 2007-12-19 08:09:46 EST
Terje, we cannot take bugs from nvidia binary-only drivers. If you want us to
deal with your situation, please, clean your system of the proprietary drivers
(see on http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers for how to do it
and some more explanation) and repost your logs using only open-source drivers,
please.

(of course, davidz, it has nothing to do with you or with the fate of this bug)
Comment 24 David Nielsen 2008-01-26 22:33:06 EST
This doesn't appear to have happened for a while, I'm currently running
xorg-x11-server-Xorg-1.3.0.0-40.fc8. I'll reopen if the problem resurfaces.

Note You need to log in before you can comment on or make changes to this bug.